<?php 
	ini_set('display_errors', 1);
	ini_set('display_startup_errors', 1);
	error_reporting(E_ALL);

	$calculator = false;
	if ($_GET) {
		require('MiniEnergyCalculator.php');
		$calculator = new MiniEnergyCalculator($_GET);
	}

	$selectComodity = "";
	if (isset($_GET['commodity'])) {
		$selectComodity = $_GET['commodity'];
	}
	$select = [
		"" => "Zvolte typ komodity ...",
		"electro" => "elektřina",
		"gas" => "plyn"
	];
?>
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <style type="text/css">
    	#form {
    		width: 100%
    	}
    	#result-table tr.red {
    		background-color: #ec5e5e;
    	}
    	#result-table tr.green {
    		background-color: #67da1f;
    	}
    </style>
    <title>Kalkulačka energií - ušetřete i vy</title>
  </head>
  <body>
  	<div class="container pt-4">
  		<?php if ($calculator && $calculator->providersData): ?>
  			<div>
  				<a href="/">Zpět na kalkulačku</a>
  			</div>
  			<table id="result-table" class="table">
			  <thead>
			    <tr>
			      <th scope="col">Dodavatel</th>
			      <th scope="col">Cena</th>
			      <th scope="col">Ušetřená cena</th>
			    </tr>
			  </thead>
			  <tbody>
			  	<?php foreach ($calculator->providersData as $name => $data): ?>
			  		<tr class="<?= $data['tr_color'] ?>">
				      <td><?= $name ?></td>
				      <td><?=  number_format($data['price'], 0, ',', ' ') ?> Kč</td>
				      <td><?= number_format($data['price_diff'], 0, ',', ' ') ?> Kč</td>
				    </tr>
			  	<?php endforeach ?>
			  </tbody>
			</table>
		<?php else: ?>
		  	<div class="row">
		  		<?php if ($calculator): ?>
		  			<?php if ($calculator->errorMessage): ?>
		  				<div class="col-12">
			  				<div class="text-center alert alert-danger alert-dismissible fade show mb-0 rounded-0" role="alert">
			  					<?= $calculator->errorMessage ?>
			  					<button type="button" class="close" data-dismiss="alert" aria-label="Close">
									<span aria-hidden="true">×</span>
								</button>
							</div>
						</div>
		  			<?php endif ?>
		  		<?php endif ?>

		  		<div class="col-12">
				    <h1 class="display-4">Kalkulačka energií:</h1>
					<h2>pojďte s námi ušetřit i vy</h2>
			  	</div>

			  	<form id="form" method="get" class="text-center pt-4">
					<div class="form-group">
						<label>Komodita [elektřina/plyn]</label>
					    <select class="form-control" name="commodity" required>
					    	<?php foreach ($select as $optionVal => $optionText): ?>
					    		<option value="<?= $optionVal ?>" <?= ($selectComodity == $optionVal) ? 'selected' : '' ?>>
					    			<?= $optionText ?>
					    		</option>
					    	<?php endforeach ?>
					    </select>
					</div>
					<div class="form-group">
						<label>Cena [Kč/MWh]</label>
						<input type="number" class="form-control" value="<?= $_GET['price'] ?>" name="price" placeholder="Kč/MWh" step="0.01" required>
					</div>
					<div class="form-group">
						<label>Roční spotřeba</label>
						<input type="number" class="form-control" value="<?= $_GET['mwh'] ?>" name="mwh" placeholder="MWh" step="0.01" required>
					</div>
					<div class="form-group">
						<label>Poplatek za OPM</label>
						<input type="number" class="form-control" value="<?= $_GET['opm'] ?>" name="opm" placeholder="Kč/měsíc" required>
					</div>
					<button type="submit" class="btn btn-primary">Spočítat</button>
					<a class="btn btn-danger" href="/" role="button">Smazat</a>
				</form>
		  	</div>
	  	<?php endif ?>
  	</div>
  </body>
</html>
